Bug 1414059 - pyanaconda.packaging.PayloadError: Payload error - 'quit' was received before 'post': fedora-logos is obsoleted by (installed) korora-logos-25.0-1.fc25.1.noarchTraceback (most recent call last):
Summary: pyanaconda.packaging.PayloadError: Payload error - 'quit' was received before...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6af8e67800f68a7f9987d7486ba...
: 1457235 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 16:01 UTC by Eirik Habbestad Helleve
Modified: 2017-12-12 10:53 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:53:42 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (2.35 MB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: anaconda.log (139.17 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: dnf.librepo.log (1.14 MB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: environ (482 bytes, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: hawkey.log (2.10 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: lsblk_output (2.68 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: nmcli_dev_list (1.25 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: os_info (449 bytes, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: program.log (68.46 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: storage.log (185.81 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: syslog (386.16 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: ifcfg.log (2.59 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details
File: packaging.log (18.02 KB, text/plain)
2017-01-17 16:02 UTC, Eirik Habbestad Helleve
no flags Details

Description Eirik Habbestad Helleve 2017-01-17 16:01:53 UTC
Version-Release number of selected component:
anaconda-25.20.8-1

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/dnfpayload.py", line 856, in install
    raise packaging.PayloadError(msg)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/install.py", line 245, in doInstall
    payload.install()
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
pyanaconda.packaging.PayloadError: Payload error - 'quit' was received before 'post': fedora-logos is obsoleted by (installed) korora-logos-25.0-1.fc25.1.noarchTraceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/dnfpayload.py", line 236, in do_transaction
    base.do_transaction(display=display)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 571, in do_transaction
    raise dnf.exceptions.TransactionCheckError(msg)
dnf.exceptions.TransactionCheckError: fedora-logos is obsoleted by (installed) korora-logos-25.0-1.fc25.1.noarch


Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-25 quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25

Comment 1 Eirik Habbestad Helleve 2017-01-17 16:02:09 UTC
Created attachment 1241851 [details]
File: anaconda-tb

Comment 2 Eirik Habbestad Helleve 2017-01-17 16:02:12 UTC
Created attachment 1241852 [details]
File: anaconda.log

Comment 3 Eirik Habbestad Helleve 2017-01-17 16:02:20 UTC
Created attachment 1241853 [details]
File: dnf.librepo.log

Comment 4 Eirik Habbestad Helleve 2017-01-17 16:02:21 UTC
Created attachment 1241854 [details]
File: environ

Comment 5 Eirik Habbestad Helleve 2017-01-17 16:02:23 UTC
Created attachment 1241855 [details]
File: hawkey.log

Comment 6 Eirik Habbestad Helleve 2017-01-17 16:02:25 UTC
Created attachment 1241856 [details]
File: lsblk_output

Comment 7 Eirik Habbestad Helleve 2017-01-17 16:02:26 UTC
Created attachment 1241857 [details]
File: nmcli_dev_list

Comment 8 Eirik Habbestad Helleve 2017-01-17 16:02:28 UTC
Created attachment 1241858 [details]
File: os_info

Comment 9 Eirik Habbestad Helleve 2017-01-17 16:02:30 UTC
Created attachment 1241859 [details]
File: program.log

Comment 10 Eirik Habbestad Helleve 2017-01-17 16:02:33 UTC
Created attachment 1241860 [details]
File: storage.log

Comment 11 Eirik Habbestad Helleve 2017-01-17 16:02:37 UTC
Created attachment 1241861 [details]
File: syslog

Comment 12 Eirik Habbestad Helleve 2017-01-17 16:02:39 UTC
Created attachment 1241862 [details]
File: ifcfg.log

Comment 13 Eirik Habbestad Helleve 2017-01-17 16:02:41 UTC
Created attachment 1241863 [details]
File: packaging.log

Comment 14 dusanmal 2017-04-25 00:17:58 UTC
Similar problem has been detected:

Network installation from CD image, "Preparing transaction from installation source", soon thereafter error message as attached.

addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-WS-dvd-x86_64-25 rd.live.check quiet
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
package:        anaconda-25.20.8-1
product:        Fedora
reason:         pyanaconda.packaging.PayloadError: Payload error - 'quit' was received before 'post': Transaction check error:
release:        Cannot get release name.
version:        25

Comment 15 orkuntezerm 2017-04-26 12:00:33 UTC
Similar problem for me:

Network installation from USB image

I think, ghdl and verilog package conflict caused this problem. But all installing process ended with "quit"

Comment 16 Omar 2017-05-31 11:56:56 UTC
*** Bug 1457235 has been marked as a duplicate of this bug. ***

Comment 17 Alex Jia 2017-06-23 08:43:18 UTC
Similar problem has been detected:

I got installation exception when using PXE to install Fedora 25 workstation in x86_64 arch.

addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   initrd=/distrotrees/76841/initrd method=http://download.eng.pek2.redhat.com/pub/fedora/linux/releases/25/Workstation/x86_64/os/ repo=http://download.eng.pek2.redhat.com/pub/fedora/linux/releases/25/Workstation/x86_64/os/  BOOT_IMAGE=/distrotrees/76841/kernel 
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
package:        anaconda-25.20.8-1
product:        Fedora
reason:         pyanaconda.packaging.PayloadError: Payload error - 'quit' was received before 'post': Transaction check error:
release:        Cannot get release name.
version:        25

Comment 18 kb 2017-06-24 15:36:17 UTC
Similar problem has been detected:

This error occured after selecting the base setup for KDE desktop workstation.

addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-E-dvd-x86_64-25 quiet
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
package:        anaconda-25.20.8-1
product:        Fedora
reason:         pyanaconda.packaging.PayloadError: Payload error - 'quit' was received before 'post': Transaction check error:
release:        Cannot get release name.
version:        25

Comment 19 Fedora End Of Life 2017-11-16 19:06:50 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-12-12 10:53:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.